
'use strict';

const BaseCommand = require('@wefed/cli-command');

class Mpvue extends BaseCommand {
  constructor() {
    super();

    // name
    this.name = 'mpvue';
    // command
    this.command = 'mpvue';
    // description
    this.description = 'mpvue 小程序编译';
    // options
    this.options = [
      ['-b, --builder [builder]', '指定编译模式, 如server, build', String, 'server'],
    ];

    // 前置依赖
    this.pre = ['begin'];
    // 后置依赖
    this.after = ['end'];
  }

  async action(wefed) {
    // action
    try {
      wefed = await require(`./build/${wefed.builder}`)(wefed);
    } catch (err) {
      return Promise.reject(err);
    }
    return Promise.resolve(wefed);
  }
}

module.exports = Mpvue;